Bug 500823 - Rosegarden causes crash of X on startup with compiz fusion
Rosegarden causes crash of X on startup with compiz fusion
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-14 08:24 EDT by Trever Adams
Modified: 2009-12-03 22:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-03 22:30:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log from crash (66.76 KB, text/plain)
2009-05-14 08:25 EDT, Trever Adams
no flags Details
Kernel log from boot to crash and a bit after (529.82 KB, text/plain)
2009-05-14 08:26 EDT, Trever Adams
no flags Details

  None (edit)
Description Trever Adams 2009-05-14 08:24:50 EDT
Description of problem:
Rosegarden will bring X down with compiz/compiz fusion/compiz fusion extras. May be related to bug 497989 (which I am unable to reproduce at the moment).

Version-Release number of selected component (if applicable):
compiz-fusion-0.7.8-8.fc11.x86_64

How reproducible:


Steps to Reproduce:
1. Install compiz-fusion-extras
2. Try to start Rosegarden
3. Watch it crash (config available if needed)
  
Actual results:
Crash

Expected results:
Fun playing with Rosegarden
Comment 1 Trever Adams 2009-05-14 08:25:26 EDT
Created attachment 343957 [details]
X log from crash
Comment 2 Trever Adams 2009-05-14 08:26:36 EDT
Created attachment 343958 [details]
Kernel log from boot to crash and a bit after
Comment 3 Bug Zapper 2009-06-09 11:49:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Matěj Cepl 2009-11-05 13:29:17 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 5 Trever Adams 2009-12-03 22:30:41 EST
The machine I know this happened on is now F13-Rawhide. It is fixed there. Thank you.

Note You need to log in before you can comment on or make changes to this bug.